﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Help_Builder
{
    public partial class Form1 : Form
    {
        private bool IsPlaced;

        public Form1()
        {
            InitializeComponent();
        }

        private void ClearAll()
        {
            textBox1.Clear();
            textBox2.Clear();
            textBox3.Clear();
            textBox4.Clear();
            textBox5.Clear();
            textBox6.Clear();
            textBox7.Clear();
            textBox8.Clear();
        }

        private void ClearEntries()
        {
            textBox1.Clear();
            textBox2.Clear();
            textBox3.Clear();
            textBox4.Clear();
        }
        
        private void Form1_Load(object sender, EventArgs e)
        {
            IsPlaced = false;
            saveAsToolStripMenuItem.Enabled = false;
        }

        private void saveAsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            saveFileDialog1.FileName = "";
            if (saveFileDialog1.ShowDialog() != DialogResult.Cancel && textBox5.Text != "")
            {
                FileStream f = new FileStream(saveFileDialog1.FileName, FileMode.Create, FileAccess.Write);
                StreamWriter Writer = new StreamWriter(f);
                Writer.Write(textBox5.Text);
                Writer.Close();
                f.Close();
                ClearAll();
                saveAsToolStripMenuItem.Enabled = false;
                IsPlaced = false;
                button3.Enabled = true;
            }
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            System.Environment.Exit(System.Environment.ExitCode);
        }

        private void aboutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Help Builder", "About!", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
        }

        private void contactToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Author: Nart Schinackow\n" + "LibStock UserName: nart_schinackow", "Help Builder", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            ClearEntries();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (IsPlaced)
            {
                textBox5.Text += "···········································································\r\n\r\n";
                textBox5.Text += "PROTOTYPE : " + textBox1.Text + "\r\n\r\n";
                textBox5.Text += "DESCRIPTION : " + textBox2.Text + "\r\n\r\n";
                textBox5.Text += "REQUIRES : " + textBox3.Text + "\r\n\r\n";
                textBox5.Text += "NOTES : " + textBox4.Text + "\r\n\r\n";
                textBox5.Text += "···········································································\r\n\r\n";
                ClearEntries(); 
            }
            else
            {
                MessageBox.Show("Please Place Header First", "Help Builder", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
        }

        private void newToolStripMenuItem_Click(object sender, EventArgs e)
        {
            DialogResult x = MessageBox.Show("Are You Sure You Want To Create A New File?", "Help Builder", MessageBoxButtons.OKCancel, MessageBoxIcon.Question);
            if (x != DialogResult.Cancel)
            {
                ClearAll();
                IsPlaced = false;
                button3.Enabled = true;
                saveAsToolStripMenuItem.Enabled = false;
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (textBox6.Text != "" && textBox7.Text != "" && textBox8.Text != "")
            {
                textBox5.Text += "···········································································\r\n\r\n";
                textBox5.Text += "Author : " + textBox6.Text + "\r\n\r\n";
                textBox5.Text += "Version : " + textBox7.Text + "\r\n\r\n";
                textBox5.Text += "Compiler Used : " + textBox8.Text + "\r\n\r\n";
                textBox5.Text += "···········································································\r\n\r\n";
                IsPlaced = true;
                button3.Enabled = false;
                saveAsToolStripMenuItem.Enabled = true;
            }
            else
            {
                MessageBox.Show("Author, Compiler, Version Must Be Entered", "Help Builder", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            System.Environment.Exit(System.Environment.ExitCode);
        }
    }
}
